package cn.pluss.platform.enums;

import lombok.Getter;

public enum image {
    SMALL_IMAGE("小微","https://czg-oss.oss-cn-hangzhou.aliyuncs.com/app/statics/%E5%B0%8F%E5%BE%AE.png",""),
    PROMOTION_IMAGE("推广","https://czg-oss.oss-cn-hangzhou.aliyuncs.com/app/statics/%E5%95%86%E6%88%B7%E6%8E%A8%E5%B9%BF.png",""),
    OTHER_IMAGE("其他","https://czg-oss.oss-cn-hangzhou.aliyuncs.com/app/statics/%E6%99%AE%E9%80%9A%E5%95%86%E6%88%B7%E6%8E%A8%E5%B9%BF.png","");

    /**
     * 通道值
     */
    @Getter
    String name;

    /**
     * 图片url
     */
    @Getter
    String imageUrl;
    /**
     * 跳转地址
     */
    @Getter
    String jumpUrl;


    image(String name,  String imageUrl, String jumpUrl){
        this.name = name;
        this.imageUrl = imageUrl;
        this.jumpUrl = jumpUrl;
    }
}
